Bug 902949 - [host-deploy] support correlation id logs
[host-deploy] support correlation id logs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity high
: ---
: 3.2.0
Assigned To: Alon Bar-Lev
Haim
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-01-22 14:22 EST by Haim
Modified: 2016-02-10 14:05 EST (History)
12 users (show)

See Also:
Fixed In Version: sf8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11287 None None None Never

  None (edit)
Description Haim 2013-01-22 14:22:01 EST
Description of problem:

it would be nice if we can pass correlation id param in to otopi logs so we can correlate between engine and vdsm.
Comment 1 Alon Bar-Lev 2013-01-22 15:32:34 EST
Good idea.

commit 956b9ccda2db345630ebb6c149d40c56a137b14c
Author: Alon Bar-Lev <alonbl@redhat.com>
Date:   Tue Jan 22 21:42:10 2013 +0200

    host-deploy: utilize engine correlation id
    
    1. Apply correlation id to events.
    
    2. Add correlation id to deploy log file name.
    
    3. Add correlation id eye catcher to otopi environment, it is ignored by
       otopi and ovirt-host-deploy, but usable for debugging.
    
    Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=902949
    Change-Id: I5dba5b6d1319f0b4caa6f0d3e77683a098df31e5
    Signed-off-by: Alon Bar-Lev <alonbl@redhat.com>

http://gerrit.ovirt.org/#/c/11287/1
Comment 7 Dafna Ron 2013-02-27 05:53:07 EST
verified on sf8:

host-deploy log

2013-02-27 11:03:50 DEBUG otopi.context context.dumpEnvironment:401 ENV OVIRT_ENGINE/correlationId=str:'a8188'

engine log

2013-02-26 23:05:57,299 INFO  [org.ovirt.engine.core.bll.InstallVdsCommand] (pool-3-thread-50) [a8188] After Installation host gold-vdsc, VDS
Comment 8 Itamar Heim 2013-06-11 04:20:36 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 04:23:57 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.